<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Assignmen 2- Exchange Rate</title>
	<link rel="stylesheet" href="./formStyle.css">
	<link rel="stylesheet" href="./page.css">
	<link rel="stylesheet" href="./exchange_rate.css">
    <title>Exchange Rate</title>
    
	<!-- <script defer> </script> -->
    
	<script src="../js/exchange_rate.js"></script>
	<script src="../js/utilities.js"></script>
	<!--<script src="../json/currency.json" type="text/json"></script>-->
</head>
<body>
	<section id='main_container'>
        <header>
            <h2> Currency Exchange Live  Calculator </h2>
            <p> 420-320 Assignment 2  </p>
			<p> Please run in firefox with security uri persmissions set to false</p>
        </header>
        <section id='middle-section'>
            <section id='top-section'>
				<form action="" method="get">
					<fieldset> 
						<legend>Fill In All required fields</legend>
                    <section id="input-row">
						<section class='form-row'>
							<label for="base_currency_select">Base Currency</label>
									<select name="to_currency" id="base_currency_select">
                                        <!-- rest of the options are added dynamicaly -->
									</select>											
						</section>
						<section class='form-row'>
							<label for="to_currency_select">To Currency</label>
									<select name="to_currency" id="to_currency_select">
                                        <!-- rest of the options are added dynamicaly -->
									</select>							
						</section>
						<section class='form-row'>
							<label for="amount">Amount</label>
								<input type="number" name="amount" id="amount" min=1.00 max=999999999999.99 value=1>
						</section>						
					</section>
					<section>
						<section class='form-btn-row'>
							<input type="button" id='get_data_btn' value="Convert">	
						</section>	
					</section>				
				</fieldset>					
				</form> 
            </section>
            <section id='main-section'>
			<table id="data-table"><!-- here, the table for currency conversions  will be generated and shown dynamically . -->
				<tr>
					<th>from</th>
					<th>to</th>
					<th>rate</th>
					<th>amount</th>
					<th>payment</th>
					<th>date</th>
				</tr>
			</table>
			</section>    
            </section>
        <footer>
			<p> Raagav Prasanna 2036159, Section 04 , copyright Fall 2021
				
			</p>
        </footer>
    </section>		
</body>
</html>